<?php

use Illuminate\Support\Facades\Route;

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/
Route::get('/link', function () {
    // return '/'.$_GET['link'];
    return redirect('/'.$_GET['link']);
});

//
Route::get("/az",[\App\Http\Controllers\Admin\AdminController::class,'index'])->name("home.index");

Route::get("/admin/login",[\App\Http\Controllers\Admin\AdminController::class,'login'])->name("admin.login");
Route::post("/admin/login",[\App\Http\Controllers\Admin\AdminController::class,'loginProcess'])->name("admin.loginP");

Route::get("/agent/login",[\App\Http\Controllers\Agent\AgentController::class,'login'])->name("agent.login");
Route::post("/agent/login",[\App\Http\Controllers\Agent\AgentController::class,'loginProcess'])->name("agent.login");

Route::get("/logout",[\App\Http\Controllers\Controller::class,'logout'])->name("home.logout");
Route::get("/logout/admin",[\App\Http\Controllers\Controller::class,'logoutAdmin'])->name("admin.logout");

Route::get("/login",[\App\Http\Controllers\Admin\AdminController::class,'index'])->name("home.index");

Route::get("/admin",[\App\Http\Controllers\Admin\AdminController::class,'admin'])->name("admin.home");
Route::get("/001/app/admin/-l",[\App\Http\Controllers\Admin\AdminController::class,'admin'])->name("admin.home1");

Route::get("/001/app/agent/-l",[\App\Http\Controllers\Agent\AgentController::class,'agent'])->name("agent.home");
Route::get("/agt_",[\App\Http\Controllers\Agent\AgentController::class,'agent'])->name("agent.home1");

Route::post('/bet',[\App\Http\Controllers\Agent\AgentController::class,'bet'])->name("agent.bet");

